Skip to content

Link a pilot

Redeem a linking code generated by a pilot in the Skyden app. Returns an opaque pilot_id you’ll use for all subsequent requests.

POST /v1/link

Linking codes expire after 10 minutes and can only be used once.

Terminal window
curl -X POST \
"https://api.skyden.app/functions/v1/api/v1/link" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"linking_token": "SKDN-XXXX-XXXX-XXXX-XXXX"}'

200 OK

{
"data": {
"pilot_id": "52b00948-12cd-4d06-ac29-027641d59ef0"
},
"meta": {
"api_version": "v1",
"request_id": "req_d69af077"
}
}
CodeStatusMeaning
INVALID_TOKEN400Token is invalid, expired, or already used
INVALID_REQUEST400Request body is missing linking_token, is not valid JSON, or is larger than 1 KB

See Errors for the full list of common error codes.